com.h3c.sdn.system

## Enum SystemInformationSortAttribute

- java.lang.Object
- - java.lang.Enum<SystemInformationSortAttribute>
  - - com.h3c.sdn.system.SystemInformationSortAttribute

- All Implemented Interfaces:
    Serializable, Comparable<SystemInformationSortAttribute>

      public enum SystemInformationSortAttribute
      extends Enum<SystemInformationSortAttribute>

  Defines the system information attributes which may be used for data sorting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SYSTEM_ROLE` The role associated with the system information

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SystemInformationSortAttribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SystemInformationSortAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYSTEM_ROLE

          public static final SystemInformationSortAttribute SYSTEM_ROLE

      The role associated with the system information

  - ### Method Detail

    - #### values

          public static SystemInformationSortAttribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SystemInformationSortAttribute c : SystemInformationSortAttribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SystemInformationSortAttribute valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.